- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::CompDecompressor Class Reference

Compress a frame component. More...

`#include <comp_decompress.h>`

List of all members.

## Public Member Functions
| CompDecompressor (DecoderParams &decp, const FrameParams &fp)
| Constructor.
void | Decompress (PicArray &pic_data)
| Decompress a frame component.

## Detailed Description

Compress a frame component.

This class compresses one of the three components (Y, U, or V) of a frame according to a given set or parameters. CompCompressor is used by FrameCompressor..

Definition at line 55 of file comp_decompress.h.

## Constructor & Destructor Documentation

CompDecompressor::CompDecompressor | ( | DecoderParams & | decp,
|  | const FrameParams & | fp
| ) |

  | Constructor. Create and initialize a component decompressor with the given characteristics. Parameters:
  | decp | decoding parameters
  | fp | frame parameters
Definition at line 52 of file comp_decompress.cpp.

## Member Function Documentation

void CompDecompressor::Decompress | ( | PicArray & | pic_data | ) |

  | Decompress a frame component. Decompress a PicArray containing a frame component (Y, U, or V). Parameters:
  | pic_data | contains the component data to be decompressed
Definition at line 60 of file comp_decompress.cpp. References dirac::WaveletTransform::BandList(), dirac::DecoderParams::BitsIn(), dirac::ArithCodec< T >::Decompress(), dirac::BitInputManager::FlushInput(), dirac::FrameParams::FSort(), dirac::GolombDecode(), dirac::SubbandList::Init(), dirac::BandCodec::InitContexts(), dirac::SubbandList::Length(), dirac::TwoDArray< T >::LengthX(), dirac::TwoDArray< T >::LengthY(), and dirac::UnsignedGolombDecode().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_decoder/comp_decompress.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_decoder/comp_decompress.cpp